Debian Bug report logs - #566037
arandr: does not byte-compile Python files

version graph

Package: src:arandr; Maintainer for src:arandr is Christian M. Amsüss <chrysn@fsfe.org>;

Reported by: dktrkranz@debian.org

Date: Wed, 20 Jan 2010 20:36:07 UTC

Severity: important

Tags: patch

Found in version arandr/0.1.2-2

Fixed in version arandr/0.1.2-3

Done: chrysn@fsfe.org (Christian M. Amsüss)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Wed, 20 Jan 2010 20:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to dktrkranz@debian.org:
New Bug report received and forwarded. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Wed, 20 Jan 2010 20:36:10 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: dktrkranz@debian.org
To: maintonly@bugs.debian.org
Subject: arandr: does not byte-compile Python files
Date: Wed, 20 Jan 2010 21:33:46 +0100
Source: arandr
Version: 0.1.2-2
Severity: important
User: debian-python@lists.debian.org
Usertags: no-byte-compile

Your package does not byte-compile Python files. This task is usually
done by python-support or python-central, which also take care to
move files to the right location.

In order to fix this bug, you should build-depend on python-support
or python-central and be sure to call corresponding dh_* helper
(dh_pysupport or dh_pycentral) in your rules file (if needed).

In case you already build-depend on python-support or python-central,
you need to look where your files are installed, and eventually patch
upstream build routines to let helpers byte-compile Python files.




Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 09:36:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Sat, 23 Jan 2010 09:39:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Sat, 23 Jan 2010 09:39:13 GMT) Full text and rfc822 format available.

Message #12 received at 566037@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 566037@bugs.debian.org
Subject: arandr: diff for NMU version 0.1.2-2.1
Date: Sat, 23 Jan 2010 10:29:38 +0100
[Message part 1 (text/plain, inline)]
tags 566037 + patch
thanks

Dear maintainer,

I've prepared an NMU for arandr (versioned as 0.1.2-2.1) but did not upload
it yet (the bug is "only" important).
Feel free to use my patch or give me a sign and I'll upload it the next days.

Regards
Evgeni Golov
[arandr-0.1.2-2.1-nmu.diff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Sun, 24 Jan 2010 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian M. Amsüss <christian@amsuess.com>:
Extra info received and forwarded to list. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Sun, 24 Jan 2010 22:18:05 GMT) Full text and rfc822 format available.

Message #17 received at 566037@bugs.debian.org (full text, mbox):

From: Christian M. Amsüss <christian@amsuess.com>
To: Evgeni Golov <evgeni@debian.org>, 566037@bugs.debian.org
Subject: Re: Bug#566037: arandr: diff for NMU version 0.1.2-2.1
Date: Sun, 24 Jan 2010 23:15:47 +0100
[Message part 1 (text/plain, inline)]
i've already had the change to python-support in my vcs (along with the
change to the new source format), just didn't push testing it until this
bug was opened.

the changes go further than the patch supplied: now the package lets
debhelper 7 rules automation do all the work (with a small workaround
addition in the clean target that can be dropped with the next upstream
release).

changes file is on [1], source file on [2]; please sponsor the upload!

[1] http://christian.amsuess.com/tools/arandr/files/debian/arandr_0.1.2-3_amd64.changes
[2] http://christian.amsuess.com/tools/arandr/files/debian/arandr_0.1.2-3.dsc

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Wed, 27 Jan 2010 00:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Wed, 27 Jan 2010 00:36:04 GMT) Full text and rfc822 format available.

Message #22 received at 566037@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Christian M. Amsüss <christian@amsuess.com>, 566037@bugs.debian.org
Cc: Evgeni Golov <evgeni@debian.org>
Subject: Re: Bug#566037: arandr: diff for NMU version 0.1.2-2.1
Date: Wed, 27 Jan 2010 01:33:19 +0100
[Message part 1 (text/plain, inline)]
* Christian M. Amsüss <christian@amsuess.com>, 2010-01-24, 23:15:
>[2] http://christian.amsuess.com/tools/arandr/files/debian/arandr_0.1.2-3.dsc

python should be in Build-Depends (rather than in Build-Depends-Indep), 
because it is indirectly called in the clean target.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Wed, 27 Jan 2010 00:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <ubanus@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Wed, 27 Jan 2010 00:36:06 GMT) Full text and rfc822 format available.

Message #27 received at 566037@bugs.debian.org (full text, mbox):

From: Jakub Wilk <ubanus@users.sf.net>
To: Evgeni Golov <evgeni@debian.org>
Cc: 566037@bugs.debian.org
Subject: Re: arandr: diff for NMU version 0.1.2-2.1
Date: Wed, 27 Jan 2010 01:35:20 +0100
[Message part 1 (text/plain, inline)]
* Evgeni Golov <evgeni@debian.org>, 2010-01-23, 10:29:
>diff -u arandr-0.1.2/debian/control arandr-0.1.2/debian/control
>--- arandr-0.1.2/debian/control
>+++ arandr-0.1.2/debian/control
>@@ -4,12 +4,12 @@
> Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
> Homepage: http://christian.amsuess.com/tools/arandr/
> Build-Depends: debhelper (>= 7)
>-Build-Depends-Indep: python (>= 2.5.4-1~), gettext
>+Build-Depends-Indep: python-dev (>= 2.5.4-1~), gettext, python-support

Changing python to python-dev here is spurious; even lintian warns about 
that (build-depends-on-python-dev-with-no-arch-any).

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Wed, 27 Jan 2010 01:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian M. Amsüss <christian@amsuess.com>:
Extra info received and forwarded to list. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Wed, 27 Jan 2010 01:27:06 GMT) Full text and rfc822 format available.

Message #32 received at 566037@bugs.debian.org (full text, mbox):

From: Christian M. Amsüss <christian@amsuess.com>
To: Jakub Wilk <ubanus@users.sf.net>
Cc: 566037@bugs.debian.org, Evgeni Golov <evgeni@debian.org>
Subject: Re: Bug#566037: arandr: diff for NMU version 0.1.2-2.1
Date: Wed, 27 Jan 2010 02:24:18 +0100
[Message part 1 (text/plain, inline)]
On Wed, Jan 27, 2010 at 01:33:19AM +0100, Jakub Wilk wrote:
> python should be in Build-Depends (rather than in
> Build-Depends-Indep), because it is indirectly called in the clean
> target.

thanks. fixed that in place as it was not uploaded yet.

-- 
To use raw power is to make yourself infinitely vulnerable to greater powers.
  -- Bene Gesserit axiom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christian M. Amsüss <chrysn@fsfe.org>:
Bug#566037; Package src:arandr. (Wed, 10 Feb 2010 12:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Christian M. Amsüss <chrysn@fsfe.org>. (Wed, 10 Feb 2010 12:12:06 GMT) Full text and rfc822 format available.

Message #37 received at 566037@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 566037@bugs.debian.org, Christian M. Amsüss <christian@amsuess.com>
Cc: control@bugs.debian.org
Subject: -3 sponsored ;)
Date: Wed, 10 Feb 2010 13:08:58 +0100
tags 566037 + pending
thanks

Hi,

sorry for the delay, I've just uploaded you'r -3 version.
Thanks for your contribution.

Regards
Evgeni

-- 
Bruce Schneier can read and understand Perl programs.




Added tag(s) pending. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Wed, 10 Feb 2010 12:12:09 GMT) Full text and rfc822 format available.

Reply sent to chrysn@fsfe.org (Christian M. Amsüss):
You have taken responsibility. (Wed, 10 Feb 2010 12:18:04 GMT) Full text and rfc822 format available.

Notification sent to dktrkranz@debian.org:
Bug acknowledged by developer. (Wed, 10 Feb 2010 12:18:04 GMT) Full text and rfc822 format available.

Message #44 received at 566037-close@bugs.debian.org (full text, mbox):

From: chrysn@fsfe.org (Christian M. Amsüss)
To: 566037-close@bugs.debian.org
Subject: Bug#566037: fixed in arandr 0.1.2-3
Date: Wed, 10 Feb 2010 12:17:07 +0000
Source: arandr
Source-Version: 0.1.2-3

We believe that the bug you reported is fixed in the latest version of
arandr, which is due to be installed in the Debian FTP archive:

arandr_0.1.2-3.debian.tar.gz
  to main/a/arandr/arandr_0.1.2-3.debian.tar.gz
arandr_0.1.2-3.dsc
  to main/a/arandr/arandr_0.1.2-3.dsc
arandr_0.1.2-3_all.deb
  to main/a/arandr/arandr_0.1.2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566037@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian M. Amsüss <chrysn@fsfe.org> (supplier of updated arandr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 Jan 2010 22:05:38 +0100
Source: arandr
Binary: arandr
Architecture: source all
Version: 0.1.2-3
Distribution: unstable
Urgency: low
Maintainer: Christian M. Amsüss <chrysn@fsfe.org>
Changed-By: Christian M. Amsüss <chrysn@fsfe.org>
Description: 
 arandr     - Simple visual front end for XRandR 1.2
Closes: 566037
Changes: 
 arandr (0.1.2-3) unstable; urgency=low
 .
   * Add Vcs-* to debian/control
   * Switch to python-support (and simplify debian/rules; closes: #566037)
   * Switch to dpkg-source 3.0 (quilt) format
Checksums-Sha1: 
 b7dc9b29134651f2a2ed020fdf9cdb18d322801e 1188 arandr_0.1.2-3.dsc
 fbe3f44f87e29585eb85f65edd42f30a2759b45c 1796 arandr_0.1.2-3.debian.tar.gz
 95dcceb13eb02acc31435687fbc636b8e53ae8f3 32982 arandr_0.1.2-3_all.deb
Checksums-Sha256: 
 e8a0a01f7e97f867ac54bc5d1e4a3e3d3a0948979e65303b45f067af8ece7ae8 1188 arandr_0.1.2-3.dsc
 2f1ef6dffe6057d17d3ba08ed1b8e5f33c0c05462672a375cd3b243336fecf50 1796 arandr_0.1.2-3.debian.tar.gz
 54057e2f674efcd6938e778fe0a391a172f3a35a7f14a95aaea976d0f045ed2d 32982 arandr_0.1.2-3_all.deb
Files: 
 012e33046f1f27bc9199ab95749fe77c 1188 x11 optional arandr_0.1.2-3.dsc
 3feff096440d70c81d9c73a07ed70593 1796 x11 optional arandr_0.1.2-3.debian.tar.gz
 8b5be0c23190c3ead8b47363f61fd630 32982 x11 optional arandr_0.1.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktyoTIACgkQJKAUGKwVtQxjJQCgoEKe2bgml2d0p/lyEmyNWa5y
r6EAn075na0G5HJW5MgrfKwKzsvU+vCK
=U1qT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Mar 2010 07:36:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:58:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.